Skip to main content
`Ctrl`+`K`

# PetscSFGetType

Get the `PetscSF` communication implementation

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetType(PetscSF sf, PetscSFType *type)

Not Collective

## Input Parameter

- sf - the `PetscSF` context

## Output Parameter

- type - the `PetscSF` type name

## See Also

`PetscSF`, `PetscSFType`, `PetscSFSetType()`, `PetscSFCreate()`

## Level

intermediate

## Location

src/vec/is/sf/interface/sf.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages